package aalg.crypto;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;


public interface IKeyGenerator<PRIV extends IPrivateKey, PUB extends IPublicKey> {

	public void generateKeys();

	public PRIV getPrivateKey();
	public PUB getPublicKey();
}
